Understanding Society User Support - Support #444

I need help
11/03/2015 04:21 PM - Abdulganiyu Ajani

Status: Closed Start date: 11/03/2015
Priority: Normal % Done: 100%
Category: Data analysis

Description

I am currently using BHPS to do a research, but facing problems merging the waves. | was able to successfully append the needed
variables together across the eighteen waves using indresp.dta folders. But the observation reduced tremendously. | came across
XWAVEID, XWLSTEN and XWAVEDAT in the documentation. | don't know how and if they are needed to solve the problem Please |
need help.

History

#1 - 11/03/2015 05:17 PM - Gundi Knies

- Status changed from New to Feedback

Hi Abdulganiyu Ajani,
you say you are merging files ... and then that you are appending variables ... this makes it difficult to guess what is happening.

"append" and "merge" are different ways of combining information from different waves. E.g. if you merge indresp files for wave 1-18 on pid and keep
only those observations that have _merge==3 you'd expect a significant reduction in sample size because only persons who gave a full or proxy
interview in all 18 waves would be present in the final merged data set (this number should be less than 4,000 if | remember correctly).

Or are you referring to the number of observations in your models? Note that not all information is available in all waves, and within waves people
may not provide the information. Estimation models will only consider cases that have valid entries on all variables included in the model. If a variable
is present only once, only information from that wave is used.

You may find it useful to consult the materials in our online training course "Introduction to the BHPS using Stata"; the first three or four exercises in
include detailed descriptions of how to merge/ append BHPS files. Please visit
https://www.understandingsociety.ac.uk/documentation/training/online for further information about online training courses.

Hope this helps,
Gundi

#2 - 11/03/2015 07:27 PM - Alita Nandi

XWAVEID, XWLSTEN and XWAVEDAT: these are individual level files for all individuals ever sampled. The online documentation (
https://www.iser.essex.ac.uk/bhps/documentation/volb/allrecs.html) provides file descriptions. Please take a look at that. As you will see while these
provide some variables these are not substitutes for the indresp files. As Gundi said, please take a look at the online course material to understand
how to merge and append the files.

On behalf of the team,

Alita

#3 - 11/09/2015 12:59 PM - Redmine Admin
- % Done changed from 0 to 50

#4 - 11/16/2015 03:21 PM - Redmine Admin
- Status changed from Feedback to Closed
- % Done changed from 50 to 100
